## kf6-sonnet 6.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.12.0") # handled by release scripts
project(Sonnet VERSION ${KF_VERSION})

include(FeatureSummary)
include(CMakeDependentOption)
find_package(ECM 6.12.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake )

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(ECMQtDeclareLoggingCategory)
include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGenerateQmlTypes)
include(ECMFindQmlModule)
include(ECMDeprecationSettings)
include(ECMAddQch)
include(ECMPoQmTools)
include(CMakeDependentOption)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

set(REQUIRED_QT_VERSION 6.6.0)
option(SONNET_USE_WIDGETS "Build components using Qt6Widgets" ON)
option(SONNET_USE_QML "Build components using Qt6Quick" ON)
option(SONNET_NO_BACKENDS "Do not fail when no backends are built (to be used for cross-build host tooling)" OFF)

if(SONNET_USE_WIDGETS)
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)
endif()

if(SONNET_USE_QML)
    include(ECMQmlModule)
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Quick)
endif()

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core)

ecm_setup_version(PROJECT VARIABLE_PREFIX SONNET
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/sonnet_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6SonnetConfigVersion.cmake"
                        SOVERSION 6)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

if(SONNET_USE_WIDGETS)
    cmake_dependent_option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON "NOT CMAKE_CROSSCOMPILING" OFF)
    add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")
endif()

ecm_install_po_files_as_qm(poqm)

ecm_set_disabled_deprecation_versions(
    QT 6.8.0
)

if (NOT BUILD_SHARED_LIBS)
    add_definitions(-DSONNET_STATIC)
endif()

add_subdirectory(data)
add_subdirectory(src)

if (BUILD_TESTING)
     add_subdirectory(autotests)
endif()

cmake_dependent_option(BUILD_EXAMPLES "Whether to build the examples" OFF "SONNET_USE_WIDGETS" OFF)
if (BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Sonnet")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6SonnetCore_QCH KF6SonnetUi_QCH
        FILE KF6SonnetQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6SonnetQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF6SonnetConfig.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/KF6SonnetConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/KF6SonnetConfig.cmake"
              "${CMAKE_CURRENT_BINARY_DIR}/KF6SonnetConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"  COMPONENT Devel )

install(EXPORT KF6SonnetTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6SonnetTargets.cmake NAMESPACE KF6:: )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sonnet_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Sonnet COMPONENT Devel)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== examples/CMakeLists.txt ===
add_executable(dialog dialogexample.cpp)
target_link_libraries(dialog KF6::SonnetCore KF6::SonnetUi)

add_executable(highlighter highlighterexample.cpp)
target_link_libraries(highlighter KF6::SonnetCore KF6::SonnetUi)

add_executable(configdialog configdialog.cpp)
target_link_libraries(configdialog KF6::SonnetCore KF6::SonnetUi)

add_executable(dictionarycombobox dictionarycombobox.cpp)
target_link_libraries(dictionarycombobox KF6::SonnetCore KF6::SonnetUi)

add_executable(textedit textedit.cpp)
target_link_libraries(textedit KF6::SonnetCore KF6::SonnetUi)

add_executable(plaintextedit plaintextedit.cpp)
target_link_libraries(plaintextedit KF6::SonnetCore KF6::SonnetUi)

=== src/core/CMakeLists.txt ===
add_library(KF6SonnetCore)
add_library(KF6::SonnetCore ALIAS KF6SonnetCore)

qt_extract_metatypes(KF6SonnetCore)

set_target_properties(KF6SonnetCore PROPERTIES
    VERSION     ${SONNET_VERSION}
    SOVERSION   ${SONNET_SOVERSION}
    EXPORT_NAME SonnetCore
)

target_sources(KF6SonnetCore PRIVATE
    backgroundchecker.cpp
    backgroundchecker.h
    backgroundchecker_p.h
    client.cpp
    client_p.h
    guesslanguage.cpp
    guesslanguage.h
    languagefilter.cpp
    languagefilter_p.h
    loader.cpp
    loader_p.h
    settings.cpp
    settings.h
    settingsimpl.cpp
    settingsimpl_p.h
    speller.cpp
    speller.h
    spellerplugin.cpp
    spellerplugin_p.h
    textbreaks.cpp
    textbreaks_p.h
    tokenizer.cpp
    tokenizer_p.h
)

# create trigrams file + add trigrams resource
if (TARGET KF6::parsetrigrams)
    add_custom_command(OUTPUT "${PROJECT_BINARY_DIR}/data/trigrams.map"
                       COMMAND KF6::parsetrigrams "${PROJECT_SOURCE_DIR}/data/trigrams" > "${PROJECT_BINARY_DIR}/data/trigrams.map")
    configure_file(${PROJECT_SOURCE_DIR}/data/trigrams.qrc.in "${PROJECT_BINARY_DIR}/data/trigrams.qrc" @ONLY)
    target_sources(KF6SonnetCore PRIVATE "${PROJECT_BINARY_DIR}/data/trigrams.qrc")
endif()

ecm_qt_declare_logging_category(KF6SonnetCore
    HEADER core_debug.h
    IDENTIFIER SONNET_LOG_CORE
    CATEGORY_NAME kf.sonnet.core
    OLD_CATEGORY_NAMES sonnet.core
    DESCRIPTION "Sonnet Core"
    EXPORT SONNET
)

# Dear packagers, this is just used as an extra search paths for plugins. Don't get your panties in a twist.
add_definitions(-DINSTALLATION_PLUGIN_PATH="${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_PLUGINDIR}")

ecm_generate_export_header(KF6SonnetCore
    BASE_NAME SonnetCore
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    VERSION_BASE_NAME Sonnet
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

ecm_generate_headers(SonnetCore_CamelCase_HEADERS
  HEADER_NAMES
    BackgroundChecker
    Speller
    GuessLanguage
    Settings
  PREFIX Sonnet
  REQUIRED_HEADERS SonnetCore_HEADERS
)

target_link_libraries(KF6SonnetCore PUBLIC Qt6::Core)

target_include_directories(KF6SonnetCore
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/SonnetCore>"
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/Sonnet>"
    PUBLIC
        "$<BUILD_INTERFACE:${PROJECT_BINARY_DIR}>" # version header
)

install(TARGETS KF6SonnetCore EXPORT KF6SonnetTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES ${SonnetCore_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/SonnetCore/Sonnet COMPONENT Devel)

install(FILES
   ${SonnetCore_HEADERS}
   ${CMAKE_CURRENT_BINARY_DIR}/sonnetcore_export.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/SonnetCore/sonnet COMPONENT Devel)

if (BUILD_QCH)
    ecm_add_qch(
        KF6SonnetCore_QCH
        NAME SonnetCore
        BASE_NAME KF6SonnetCore
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${SonnetCore_HEADERS}
        LINK_QCHS
            Qt6Core_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            SONNETCORE_EXPORT
            SONNETCORE_DEPRECATED_EXPORT
            SONNETCORE_DEPRECATED
            "SONNETCORE_DEPRECATED_VERSION(x, y, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== src/quick/CMakeLists.txt ===
ecm_add_qml_module(sonnetquickplugin URI "org.kde.sonnet" VERSION 1.0 GENERATE_PLUGIN_SOURCE DEPENDENCIES QtQuick)

target_sources(sonnetquickplugin PRIVATE
    types.h
    spellcheckhighlighter.cpp
    spellcheckhighlighter.h )

ecm_qt_declare_logging_category(sonnetquickplugin
    HEADER quick_debug.h
    IDENTIFIER SONNET_LOG_QUICK
    CATEGORY_NAME kf.sonnet.quick
    OLD_CATEGORY_NAMES sonnet.quick
    DESCRIPTION "Sonnet Quick bindings"
    EXPORT SONNET
)
target_link_libraries(sonnetquickplugin
    PUBLIC Qt6::Quick
    PRIVATE KF6SonnetCore
)

ecm_finalize_qml_module(sonnetquickplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== src/ui/CMakeLists.txt ===
add_library(KF6SonnetUi)
add_library(KF6::SonnetUi ALIAS KF6SonnetUi)

set_target_properties(KF6SonnetUi PROPERTIES
    VERSION     ${SONNET_VERSION}
    SOVERSION   ${SONNET_SOVERSION}
    EXPORT_NAME SonnetUi
)

ecm_create_qm_loader(KF6SonnetUi sonnet6_qt)

qt_wrap_ui(sonnetui_ui_SRCS
    configui.ui
    sonnetui.ui
)

target_sources(KF6SonnetUi PRIVATE
    ${sonnetui_ui_SRCS}
    configdialog.cpp
    configview.cpp
    configwidget.cpp
    dialog.cpp
    dictionarycombobox.cpp
    highlighter.cpp
    spellcheckdecorator.cpp
)

ecm_qt_declare_logging_category(KF6SonnetUi
    HEADER ui_debug.h
    IDENTIFIER SONNET_LOG_UI
    CATEGORY_NAME kf.sonnet.ui
    OLD_CATEGORY_NAMES sonnet.ui
    DESCRIPTION "Sonnet UI"
    EXPORT SONNET
)

ecm_generate_headers(SonnetUi_CamelCase_HEADERS
  HEADER_NAMES
    Dialog
    Highlighter
    ConfigDialog
    ConfigView
    ConfigWidget
    DictionaryComboBox
    SpellCheckDecorator
  PREFIX Sonnet
  REQUIRED_HEADERS SonnetUi_HEADERS
)

ecm_generate_export_header(KF6SonnetUi
    BASE_NAME SonnetUi
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    VERSION_BASE_NAME Sonnet
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_link_libraries(KF6SonnetUi
    PUBLIC Qt6::Widgets
    PRIVATE KF6::SonnetCore
)

target_include_directories(KF6SonnetUi
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/SonnetUi>"
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/Sonnet>"
    PUBLIC
        "$<BUILD_INTERFACE:${PROJECT_BINARY_DIR}>" # version header
)

install(TARGETS KF6SonnetUi EXPORT KF6SonnetTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES ${SonnetUi_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/SonnetUi/Sonnet COMPONENT Devel)

install(FILES
   ${SonnetUi_HEADERS}
   ${CMAKE_CURRENT_BINARY_DIR}/sonnetui_export.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/SonnetUi/sonnet COMPONENT Devel)

if(BUILD_DESIGNERPLUGIN)
    add_subdirectory(designer)
endif()

if (BUILD_QCH)
    ecm_add_qch(
        KF6SonnetUi_QCH
        NAME SonnetUi
        BASE_NAME KF6SonnetUi
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${SonnetUi_HEADERS}
        LINK_QCHS
            Qt6Core_QCH
            Qt6Gui_QCH
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            SONNETUI_EXPORT
            SONNETUI_DEPRECATED_EXPORT
            SONNETUI_DEPRECATED
            "SONNETUI_DEPRECATED_VERSION(x, y, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

## kf6-sonnet 6.3.0

=== debian/changelog ===
kf6-sonnet (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Modernize building by using dh-sequence build-dependencies and
    dropping manually specified addons and buildsystems for dh.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:46:19 +0200

kf6-sonnet (6.0.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Rename kf6-sonnet-plugins to sonnet6-plugins.

 -- Patrick Franz <deltaone@debian.org>  Tue, 28 May 2024 21:09:11 +0200

kf6-sonnet (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.
  * Refresh patches.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Thu, 04 Apr 2024 01:27:26 +0200

sonnet (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Drop cross-compiling condition for the Qt Designer plugin, thx to
    Helmut Grohne (Closes: #1022109).
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Mar 2024 00:34:46 +0100

sonnet (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:32 +0200

sonnet (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:52 +0100

sonnet (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:25 +0100

sonnet (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:03 +0100

sonnet (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:25 +0100

sonnet (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh patch cross.patch.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:18:58 +0100

sonnet (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:39 +0200

sonnet (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:31 +0200

sonnet (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.
  * Add lintian overrides for gentrigrams and parsetrigrams not having
    manpages.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:00 +0200

sonnet (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:03 +0200

sonnet (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.92.0).
  * New upstream release (5.93.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:44 +0200

sonnet (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).
  * Update symbols.

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Refresh patch cross.patch.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:42 +0100

sonnet (5.88.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:43 +0900

sonnet (5.88.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Add qml package.
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Nov 2021 08:53:36 +0900

sonnet (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 11:05:53 +0900

sonnet (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:49 +0900

sonnet (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:07:57 +0900

sonnet (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:13 +0900

sonnet (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]


=== debian/control ===
Source: kf6-sonnet
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: aspell,
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.3.0~),
               hspell,
               libaspell-dev,
               libhunspell-dev,
               libvoikko-dev,
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth,
               xvfb,
               zlib1g-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/sonnet
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-sonnet
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-sonnet.git
Rules-Requires-Root: no

Package: sonnet6-plugins
Section: kde
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: kf6-sonnet-plugins,
Replaces: kf6-sonnet-plugins,
Suggests: hspell,
Description: spell checking library for Qt, plugins
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 6.
 .
 This package provides plugins used by Sonnet to interact with the following
 spell checking backends: aspell, hunspell or hspell. The dictionaries need to
 be installed separatedly.

Package: libkf6sonnet-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: spell checking library for Qt, data files
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 6.
 .
 This package contains the translations.

Package: libkf6sonnet-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6sonnet-dev-bin (= ${binary:Version}),
         libkf6sonnetcore6 (= ${binary:Version}),
         libkf6sonnetui6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6sonnet-doc (= ${source:Version}),
Description: spell checking library for Qt, devel files
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 6.
 .
 This package contains development files for building software that uses
 libraries from the Sonnet framework.

Package: libkf6sonnet-dev-bin
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: spell checking library for Qt, devel binaries
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 6.
 .
 This package contains the utility programs related to the Sonnet framework.

Package: libkf6sonnet-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: spell checking library for Qt (documentation)
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 6.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6sonnetcore6
Architecture: any
Multi-Arch: same
Depends: libkf6sonnet-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: sonnet6-plugins (= ${binary:Version}),
Description: spell checking library for Qt, core lib
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 6.

Package: libkf6sonnetui6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: sonnet6-plugins (= ${binary:Version}),
Description: spell checking library for Qt, ui lib
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 6.
 .
 This package provides Qt based GUI elements that can be used
 by projects to construct spell checking user interfaces.

Package: qml6-module-org-kde-sonnet
Depends: ${misc:Depends}, ${shlibs:Depends},
Architecture: any
Multi-Arch: same
Description: spell checking library for Qt, plugins
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 6.
 .
 This package contains the QML module.

## kf6-sonnet 6.6.0

=== debian/changelog ===
kf6-sonnet (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:09:34 +0100

kf6-sonnet (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)
  * Mark a symbol optional.

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:25:40 +0100

kf6-sonnet (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:37:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-sonnet
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: aspell,
@@ -10,7 +11,7 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                hspell,
                libaspell-dev,
                libhunspell-dev,
@@ -25,8 +26,8 @@
                zlib1g-dev,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/sonnet
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-sonnet
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-sonnet.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-sonnet
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-sonnet
 Rules-Requires-Root: no
 
 Package: sonnet6-plugins
@@ -126,7 +127,8 @@
  by projects to construct spell checking user interfaces.
 
 Package: qml6-module-org-kde-sonnet
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Architecture: any
 Multi-Arch: same
 Description: spell checking library for Qt, plugins

## kf6-sonnet 6.9.0

=== debian/changelog ===
kf6-sonnet (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:50:37 +0000

kf6-sonnet (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:40:05 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
                hspell,
                libaspell-dev,
                libhunspell-dev,

## kf6-sonnet 6.10.0

=== debian/changelog ===
kf6-sonnet (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:23:53 +0100

kf6-sonnet (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:01:09 +0100

kf6-sonnet (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:29 -0600

kf6-sonnet (6.6.0-2) unstable; urgency=medium

  * Team upload.
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.

 -- Sandro Knauß <hefee@debian.org>  Mon, 18 Nov 2024 21:28:27 +0100

kf6-sonnet (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:09:18 +0200

kf6-sonnet (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * 'acc' autopkgtest: set -std=c++17, needed when using Qt 6.
  * CI: update/simplify configuration.
  * Update symbols files from the logs of buildds.
  * Remove the leftovers of the old 'testsuite' autopkgtest.
  * Drop the creation of a temporary directory as XDG_RUNTIME_DIR, as
    debhelper does it already in compat 13.
  * Drop the unused ${shlibs:Depends} substvar in libkf6sonnet-data.
  * Mark the xauth, and xvfb build dependencies as !nocheck, as they are used
    only when running the tests.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Aug 2024 13:00:02 +0200

kf6-sonnet (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:02 +0200

kf6-sonnet (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,33 @@
 Source: kf6-sonnet
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: aspell,
-               cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
+               aspell,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.9.0~),
+               extra-cmake-modules (>= 6.10.0~),
                hspell,
                libaspell-dev,
                libhunspell-dev,
                libvoikko-dev,
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
+               qt6-declarative-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
-               xauth,
-               xvfb,
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
                zlib1g-dev,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/sonnet
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-sonnet
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-sonnet
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-sonnet
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-sonnet.git
 Rules-Requires-Root: no
 
 Package: sonnet6-plugins
@@ -50,7 +50,7 @@
 Package: libkf6sonnet-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
 Description: spell checking library for Qt, data files
  Sonnet is a Qt based library that offers easy access to spell
  checking using various plugin based backends.  It is part of KDE
@@ -65,7 +65,8 @@
 Depends: libkf6sonnet-dev-bin (= ${binary:Version}),
          libkf6sonnetcore6 (= ${binary:Version}),
          libkf6sonnetui6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qml6-module-org-kde-sonnet (= ${binary:Version}),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6sonnet-doc (= ${source:Version}),
@@ -127,8 +128,7 @@
  by projects to construct spell checking user interfaces.
 
 Package: qml6-module-org-kde-sonnet
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Architecture: any
 Multi-Arch: same
 Description: spell checking library for Qt, plugins

## kf6-sonnet 6.11.0

=== debian/changelog ===
kf6-sonnet (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 17:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                aspell,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
                hspell,
                libaspell-dev,
                libhunspell-dev,

## kf6-sonnet 6.12.0

=== debian/changelog ===
kf6-sonnet (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:56:27 +0000

kf6-sonnet (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:51:27 +0000

kf6-sonnet (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)
  * Disable acc test for now.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:22:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,33 @@
 Source: kf6-sonnet
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: aspell,
+               cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               dh-sequence-qmldeps,
-               aspell,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.11.0~),
+               extra-cmake-modules (>= 6.12.0~),
                hspell,
                libaspell-dev,
                libhunspell-dev,
                libvoikko-dev,
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.6.0~),
-               qt6-declarative-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
-               xauth <!nocheck>,
-               xvfb <!nocheck>,
+               xauth,
+               xvfb,
                zlib1g-dev,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/sonnet
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-sonnet
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-sonnet.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-sonnet
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-sonnet
 Rules-Requires-Root: no
 
 Package: sonnet6-plugins
@@ -50,7 +50,7 @@
 Package: libkf6sonnet-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: spell checking library for Qt, data files
  Sonnet is a Qt based library that offers easy access to spell
  checking using various plugin based backends.  It is part of KDE
@@ -65,8 +65,7 @@
 Depends: libkf6sonnet-dev-bin (= ${binary:Version}),
          libkf6sonnetcore6 (= ${binary:Version}),
          libkf6sonnetui6 (= ${binary:Version}),
-         qml6-module-org-kde-sonnet (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6sonnet-doc (= ${source:Version}),
@@ -128,7 +127,8 @@
  by projects to construct spell checking user interfaces.
 
 Package: qml6-module-org-kde-sonnet
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Architecture: any
 Multi-Arch: same
 Description: spell checking library for Qt, plugins

## kf6-sonnet 6.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.12.0") # handled by release scripts
+set(KF_VERSION "6.13.0") # handled by release scripts
 project(Sonnet VERSION ${KF_VERSION})
 
 include(FeatureSummary)
 include(CMakeDependentOption)
-find_package(ECM 6.12.0  NO_MODULE)
+find_package(ECM 6.13.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -61,7 +61,7 @@
 ecm_install_po_files_as_qm(poqm)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.8.0
+    QT 6.9.0
 )
 
 if (NOT BUILD_SHARED_LIBS)

=== src/plugins/hunspell/CMakeLists.txt ===
qt_add_plugin(sonnet_hunspell CLASS_NAME HunspellClient)

target_sources(sonnet_hunspell PRIVATE
    hunspellclient.cpp
    hunspelldict.cpp
)

ecm_qt_declare_logging_category(sonnet_hunspell
    HEADER hunspelldebug.h
    IDENTIFIER SONNET_HUNSPELL
    CATEGORY_NAME kf.sonnet.clients.hunspell
    OLD_CATEGORY_NAMES sonnet.plugins.hunspell
    DESCRIPTION "Sonnet HUnspell plugin"
    EXPORT SONNET
)

# see: https://phabricator.kde.org/R246:0a96acf251baa5c9dd042d093ab2bf8fcee10502
set(USE_OLD_HUNSPELL_API TRUE)
if (PKG_HUNSPELL_VERSION GREATER "1.5.0")
    set(USE_OLD_HUNSPELL_API FALSE) # new API introduced in v1.5.1 (cf. https://github.com/hunspell/hunspell/commit/8006703dafeebce19f2144c5cf180812eb99693a)
endif()
message(STATUS "Using old hunspell API: ${USE_OLD_HUNSPELL_API}")

configure_file(config-hunspell.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-hunspell.h)

target_include_directories(sonnet_hunspell SYSTEM PUBLIC ${HUNSPELL_INCLUDE_DIRS})
target_link_libraries(sonnet_hunspell PRIVATE KF6::SonnetCore ${HUNSPELL_LIBRARIES})

target_compile_definitions(sonnet_hunspell PRIVATE DEFINITIONS SONNET_INSTALL_PREFIX="${CMAKE_INSTALL_PREFIX}")

install(TARGETS sonnet_hunspell  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/sonnet/)

set(SONNET_BACKEND_FOUND TRUE PARENT_SCOPE)

=== src/plugins/voikko/CMakeLists.txt ===
qt_add_plugin(sonnet_voikko CLASS_NAME VoikkoClient)

target_sources(sonnet_voikko PRIVATE
    voikkoclient.cpp
    voikkodict.cpp
)

ecm_qt_declare_logging_category(sonnet_voikko
    HEADER voikkodebug.h
    IDENTIFIER SONNET_VOIKKO
    CATEGORY_NAME kf.sonnet.clients.voikko
    OLD_CATEGORY_NAMES sonnet.plugins.voikko
    DESCRIPTION "Sonnet Voikko plugin"
    EXPORT SONNET
)

target_include_directories(sonnet_voikko PRIVATE ${VOIKKO_INCLUDE_DIR})

target_link_libraries(sonnet_voikko PRIVATE KF6::SonnetCore ${VOIKKO_LIBRARIES})

install(TARGETS sonnet_voikko  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/sonnet/)

set(SONNET_BACKEND_FOUND TRUE PARENT_SCOPE)

=== debian/changelog ===
kf6-sonnet (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:34:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,33 @@
 Source: kf6-sonnet
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: aspell,
-               cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
+               aspell,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.12.0~),
+               extra-cmake-modules (>= 6.13.0~),
                hspell,
                libaspell-dev,
                libhunspell-dev,
                libvoikko-dev,
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
+               qt6-declarative-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
-               xauth,
-               xvfb,
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
                zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/sonnet
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-sonnet
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-sonnet
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-sonnet
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-sonnet.git
 Rules-Requires-Root: no
 
 Package: sonnet6-plugins
@@ -50,7 +50,7 @@
 Package: libkf6sonnet-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
 Description: spell checking library for Qt, data files
  Sonnet is a Qt based library that offers easy access to spell
  checking using various plugin based backends.  It is part of KDE
@@ -65,7 +65,8 @@
 Depends: libkf6sonnet-dev-bin (= ${binary:Version}),
          libkf6sonnetcore6 (= ${binary:Version}),
          libkf6sonnetui6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qml6-module-org-kde-sonnet (= ${binary:Version}),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6sonnet-doc (= ${source:Version}),
@@ -127,8 +128,7 @@
  by projects to construct spell checking user interfaces.
 
 Package: qml6-module-org-kde-sonnet
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Architecture: any
 Multi-Arch: same
 Description: spell checking library for Qt, plugins

## kf6-sonnet 6.16.0

=== debian/changelog ===
kf6-sonnet (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:49:50 +0100

kf6-sonnet (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Refresh cross.patch
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:36:56 +0100

kf6-sonnet (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 07:02:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,33 @@
 Source: kf6-sonnet
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: aspell,
+               cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               dh-sequence-qmldeps,
-               aspell,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.13.0~),
+               extra-cmake-modules (>= 6.16.0~),
                hspell,
                libaspell-dev,
                libhunspell-dev,
                libvoikko-dev,
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.6.0~),
-               qt6-declarative-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
-               xauth <!nocheck>,
-               xvfb <!nocheck>,
+               xauth,
+               xvfb,
                zlib1g-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/sonnet
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-sonnet
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-sonnet.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-sonnet
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-sonnet
 Rules-Requires-Root: no
 
 Package: sonnet6-plugins
@@ -50,7 +50,7 @@
 Package: libkf6sonnet-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: spell checking library for Qt, data files
  Sonnet is a Qt based library that offers easy access to spell
  checking using various plugin based backends.  It is part of KDE
@@ -65,8 +65,7 @@
 Depends: libkf6sonnet-dev-bin (= ${binary:Version}),
          libkf6sonnetcore6 (= ${binary:Version}),
          libkf6sonnetui6 (= ${binary:Version}),
-         qml6-module-org-kde-sonnet (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6sonnet-doc (= ${source:Version}),
@@ -128,7 +127,8 @@
  by projects to construct spell checking user interfaces.
 
 Package: qml6-module-org-kde-sonnet
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Architecture: any
 Multi-Arch: same
 Description: spell checking library for Qt, plugins
